/*
 * GarudaPre.h -- Eagle Package for Tcl (Garuda)
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

#ifndef _GARUDA_PRE_H_
#define _GARUDA_PRE_H_

/*
 * NOTE: The following define is needed to prevent the a Tcl-related compiler
 *       error on 64-bit platforms when including the file "tclInt.h":
 *
 *       error C2371: 'ptrdiff_t' : redefinition; different basic types
 *
 *       This define is currently limited to the MSVC compilers that shipped
 *       with Visual Studio 2005 or higher because this project does not
 *       formally support previous compilers; however, other compilers may
 *       also need this define.
 */

#if defined(_MSC_VER) && _MSC_VER >= 1400
  #define STDC_HEADERS
#endif

/*
 * NOTE: This is the latest version of the CLR that we know about.  This is
 *       the value that will be passed to the GetRuntime method of the
 *       ICLRMetaHost interface (which will only be used when the CLR_40
 *       compile-time option is enabled).  For now, only enable use of the
 *       latest version of the CLR if we are compiling with the MSVC compiler
 *       that shipped with Visual Studio 2010 or higher.
 */

#if defined(_MSC_VER) && _MSC_VER >= 1600 && defined(CLR_40)
  #define USE_CLR_40
#endif

#endif /* _GARUDA_PRE_H_ */
