/*
 * AssemblyUriAttribute.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using System.Runtime.InteropServices;

namespace Eagle._Attributes
{
    [AttributeUsage(AttributeTargets.Assembly, Inherited = false)]
    [Guid("58eecb4b-3b0f-4494-8d6e-ea838280ab37")]
    public sealed class AssemblyUriAttribute : Attribute
    {
        public AssemblyUriAttribute(
            string value
            )
        {
            uri = new Uri(value); /* throw */
        }

        ///////////////////////////////////////////////////////////////////////

        private Uri uri;
        public Uri Uri
        {
            get { return uri; }
        }
    }
}
